TechDraw Quadrants: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
(7 intermediate revisions by the same user not shown)
Line 18: Line 18:
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|Version=0.19
|Version=0.19
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw Cosmetic Vertex]], [[TechDraw_Midpoints|TechDraw Midpoint]]
|SeeAlso=[[TechDraw_CosmeticVertex|TechDraw CosmeticVertex]], [[TechDraw_Midpoints|TechDraw Midpoint]]
}}
}}


Line 24: Line 24:


<!--T:8-->
<!--T:8-->
The '''TechDraw Quadrant''' tool adds three [[TechDraw_CosmeticVertex|cosmetic vertices]] along the length of one or more selected edges. The vertices are placed at 25%, 50% and 75% of the length. For a circular edge this results in cosmetic vertices at 90°, 180° and 270°, in addition to its geometric vertex at 0°.
The '''TechDraw Quadrant''' tool adds three [[TechDraw_CosmeticVertex|cosmetic vertices]] along the length of one or more selected edges. The vertices are placed at 25%, 50% and 75% of the length of the edges. For a circular edge this results in cosmetic vertices at 90°, 180° and 270°, in addition to its geometric vertex at 0°.


</translate>
</translate>
Line 35: Line 35:


<!--T:10-->
<!--T:10-->
# Select one or more Edges in a View. Any edge can be selected, not just circles.
# Select one or more edges in a view. Any edge can be selected, not just circles.
# There are several ways to invoke the tool:
# Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} button.
#* Press the {{Button|[[Image:TechDraw_Quadrants.svg|16px]] [[TechDraw_Quadrants|Add Quadrant Vertices]]}} button.
# Cosmetic vertices will be added at the quarter-points of the edges.
#* Select the {{MenuCommand|TechDraw → Add Vertices → [[Image:TechDraw_Quadrants.svg|16px]] Add Quadrant Vertices}} option from the menu.


<!--T:21-->
==Notes== <!--T:22-->

To delete a Quadrant Vertex, select it and use the toolbar button {{Button|[[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|Remove Cosmetic Object]]}}.
<!--T:23-->
* The created cosmetic vertices are not parametrically linked to the selected edges.
* To delete a cosmetic vertex use [[Image:TechDraw_CosmeticEraser.svg|16px]] [[TechDraw_CosmeticEraser|TechDraw CosmeticEraser]].


==Properties== <!--T:19-->
==Properties== <!--T:19-->


<!--T:20-->
<!--T:20-->
Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.
Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.


==Scripting== <!--T:6-->
==Scripting== <!--T:6-->
Line 53: Line 57:


<!--T:13-->
<!--T:13-->
Cosmetic Vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all Cosmetic Vertices from the View.
Cosmetic vertices are not accessible from [[Macros|macros]] or the [[Python|Python]] console at this time. This snippet will remove all cosmetic vertices from the view.


</translate>
</translate>
{{Code|code=
{{Code|code=
>>> v = App.ActiveDocument.View
v = App.ActiveDocument.View
>>> v.clearCV()
v.clearCV()
>>> App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}
<translate>
<translate>

Revision as of 11:42, 27 July 2023

TechDraw Quadrants

Menu location
TechDraw → Add Vertices → Add Quadrant Vertices
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw CosmeticVertex, TechDraw Midpoint

Description

The TechDraw Quadrant tool adds three cosmetic vertices along the length of one or more selected edges. The vertices are placed at 25%, 50% and 75% of the length of the edges. For a circular edge this results in cosmetic vertices at 90°, 180° and 270°, in addition to its geometric vertex at 0°.

Cosmetic vertices at quadrant points of a circle

Usage

  1. Select one or more edges in a view. Any edge can be selected, not just circles.
  2. There are several ways to invoke the tool:
    • Press the Add Quadrant Vertices button.
    • Select the TechDraw → Add Vertices → Add Quadrant Vertices option from the menu.

Notes

  • The created cosmetic vertices are not parametrically linked to the selected edges.
  • To delete a cosmetic vertex use TechDraw CosmeticEraser.

Properties

Cosmetic vertices have no properties of their own, as they are not document objects. They share color and size settings with regular geometry vertices.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

Cosmetic vertices are not accessible from macros or the Python console at this time. This snippet will remove all cosmetic vertices from the view.

v = App.ActiveDocument.View
v.clearCV()
App.ActiveDocument.recompute()